> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get VM Price

> Get VM price based on the specified VM configuration parameters.



## OpenAPI

````yaml /api-reference/openapi.yaml get /instance_price
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /instance_price:
    get:
      tags:
        - Instance Price
      summary: Get VM Price
      description: Get VM price based on the specified VM configuration parameters.
      operationId: getInstancePrice
      parameters:
        - name: vcpu
          in: query
          description: Number of virtual CPUs (vCPU)
          required: true
          explode: true
          schema:
            type: string
            format: int
        - name: ram
          in: query
          description: Amount of RAM (in MB)
          required: true
          explode: true
          schema:
            type: string
            format: int
        - name: disk
          in: query
          description: Disk size (in GB)
          required: true
          explode: true
          schema:
            type: string
            format: int
        - name: location
          in: query
          description: Deployment location
          required: true
          explode: true
          schema:
            type: string
            format: string
        - name: currency
          in: query
          description: Currency used to retrieve the price
          required: false
          explode: true
          schema:
            type: string
            enum:
              - aud
              - usd
              - eur
            default: usd
        - name: instance_type
          in: query
          description: Instance type identifier (UUID)
          required: true
          explode: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMPrice'
        '400':
          description: Bad request
        '404':
          description: Not found
components:
  schemas:
    VMPrice:
      type: object
      properties:
        instance_type:
          type: string
          format: uuid
          example: a2e55f7d-c741-4317-acce-124dc34ffaad
        vcpu:
          type: integer
          format: int
          example: 2
        ram:
          type: integer
          format: int
          example: 4096
        disk:
          type: integer
          format: int
          example: 20
        bw:
          type: integer
          format: int
        net_rate:
          type: integer
          format: int
        price_per_month:
          type: number
          format: float
        price_per_quarter:
          type: number
          format: float
        price_per_semiannual:
          type: number
          format: float
        price_per_annual:
          type: number
          format: float
        currency:
          type: string
          format: string

````